## lasi 1.0.6

=== examples/example1/Makefile ===

all:
	cat README

example: SimpleLASiExample.cpp
	g++ -o example -lLASi `pkg-config --cflags --libs pango pangoft2 lasi ` SimpleLASiExample.cpp

display:
	./example > example.ps && gv example.ps &
clean:
	rm example example.ps
