=== examples/example2/Makefile ===

all:
	cat README

example: ComplexTextLayoutExample.cpp 
	g++ -o example2 -lLASi `pkg-config --cflags --libs pango pangoft2 lasi` ComplexTextLayoutExample.cpp

display:
	./example2 > example2.ps && gv example2.ps &
clean:
	rm example2 example2.ps
