=== src/CMakeLists.txt ===
# src/CMakeLists.txt for libLASi
###
### Process this file with cmake to produce Makefile
###

set(LASi_LIB_SRCS
drawGlyph.cpp
glyphMgr.cpp
psDoc.cpp
util.cpp
)

set(LASi_LIB_HDRS
contextMgr.h
drawGlyph.h
glyphMgr.h
manager.h
stringDimensions.h
util.h
)

include_directories(
${CMAKE_SOURCE_DIR}/include
${CMAKE_BINARY_DIR}
)

add_library(LASi ${LASi_LIB_SRCS} ${LASi_LIB_HDRS})

set(libLASi_LINK_LIBRARIES ${PANGO_LINK_FLAGS} ${PANGOFT2_LINK_FLAGS})

if(MATH_LIB)
  set(libLASi_LINK_LIBRARIES ${libLASi_LINK_LIBRARIES} ${MATH_LIB})
endif(MATH_LIB)

target_link_libraries(LASi ${libLASi_LINK_LIBRARIES} )

if(USE_RPATH)
  set(LIB_INSTALL_RPATH)
  list(APPEND LIB_INSTALL_RPATH ${libdir})
  list(APPEND LIB_INSTALL_RPATH ${PANGO_RPATH})
  set_target_properties(
  LASi
  PROPERTIES 
  SOVERSION ${LASi_SOVERSION}
  VERSION ${LASi_VERSION}
  INSTALL_RPATH "${LIB_INSTALL_RPATH}"
  INSTALL_NAME_DIR "${libdir}"
  )
else(USE_RPATH)
  set_target_properties(
  LASi
  PROPERTIES 
  SOVERSION ${LASi_SOVERSION}
  VERSION ${LASi_VERSION}
  INSTALL_NAME_DIR "${libdir}"
  )
endif(USE_RPATH)

install(
TARGETS LASi
ARCHIVE DESTINATION ${libdir}
LIBRARY DESTINATION ${libdir}
RUNTIME DESTINATION ${bindir}
)
