=== debian/changelog ===
lasi (1.1.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #867050)
  * Add the missing libpango1.0-dev and libfreetype6-dev
    dependencies to liblasi-dev. (Closes: #845497)
  * Add ${misc:Depends} to the package dependencies.

 -- Adrian Bunk <bunk@debian.org>  Sat, 08 Jul 2017 14:19:16 +0300

lasi (1.1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control: Remove myself from the Uploaders list (closes: #571834)
  * d/compat: Bump the debhelper compat level to 9 (closes: #817520)
  * d/liblasi-dev.install: Drop useless lines

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 16 Jul 2016 14:43:36 -0300

lasi (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use 3.0 (quilt) format
  * debian/patches/fix-freetype-ftbfs (Closes: #733405):
    - Include Freetype headers in recommended way, fix FTBFS

 -- Angel Abad <angel@debian.org>  Thu, 19 Jun 2014 13:36:38 +0200

lasi (1.1.0-1) unstable; urgency=low

  [ Andrew Ross ]
  * New upstream release
  * debian/rules: Change to support new cmake build system (still using cdbs)
  * debian/control:
    + Modify build dependencies for cmake support and to build doxygen
      documentation
    + Update Homepage field
    + Update Vcs-* fields
    + Update maintainer and uploader information
  * debian/copyright: Update list of authors.
  * Fix watch file to use sourceforge

  [ Rafael Laboissiere ]
  * debian/liblasi-dev.doc-base: Changed document's section to
    Programming/C++
  * debian/copyright: Add the mandatory copyright notices

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Apr 2008 23:07:45 +0200

lasi (1.0.6-4) unstable; urgency=low

  * debian/control:
    + Added Homepage field
    + Dropped the Homepage pseudo-header from the extended descriptions
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Dec 2007 00:18:17 +0100

lasi (1.0.6-3) unstable; urgency=low

  * debian/control: Fixed typo in package description (closes: #438659)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 25 Aug 2007 09:26:52 +0200

lasi (1.0.6-2) unstable; urgency=low

  * debian/control:
    + Added XS-Vcs-Svn and XS-Vcs-Browser fields
    + Use substitution variable ${binary:Version} instead of the deprecated
      ${Source-Version} (${binary:Version} is needed instead of
      ${source:Version}, otherwise the package would not be binNMUable)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Jul 2007 23:14:41 +0200

lasi (1.0.6-1) unstable; urgency=low

  * New upstream release
  * debian/copyright, debian/control, debian/watch: New homepage URL
  * debian/control: Enforce build-depedency on libfreetype6-dev >= 2.2

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 29 Aug 2006 18:52:45 +0200

lasi (1.0.6~pre.1-1) unstable; urgency=low

  * New upstream release.  This is a prerelease for 1.0.6.
  * debian/patches/outline-funcs-prototypes.patch: Removed patch, which
    has been applied upstream

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 29 Aug 2006 11:39:57 +0200

lasi (1.0.5-3) unstable; urgency=low

  * debian/patches/outline-funcs-prototypes.patch: Fixed definitions of
    some functions such that they match the prototypes defined in
    /usr/include/freetype2/freetype/ftimage.h.  The package now builds
    correctly in Debian unstable with g++_4.0.3-3 (closes: #370112)

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  3 Jun 2006 15:23:29 +0200

lasi (1.0.5-2) unstable; urgency=low

  * debian/rules: Dropped the removal of config.status

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  6 May 2006 21:31:48 +0200

lasi (1.0.5-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bumped Standards-Version to 3.7.2 (no changes needed)
  * debian/patches/clean-lasi.pc.patch: Removed patch, which has been
    integrated upstream
  * debian/rules:
      - Include CDBS' simple-patchsys.mk
      - Removed config.status before configuring the package.  This file
        is wrongly included in the upstream tarball and Lintian complained
        about it.

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  6 May 2006 19:29:51 +0200

lasi (1.0.4-2) unstable; urgency=low

  * debian/control: Build-depends on cdbs (closes: #364659)
  * debian/patches/clean-lasi.pc.patch: Remove spurious character at end
    of lasi.pc.in

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 25 Apr 2006 09:47:48 +0200

lasi (1.0.4-1) unstable; urgency=low

  * Uploaded to unstable (closes: #361342)
  * debian/control: Added homepage URL to the description

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  8 Apr 2006 14:59:39 +0200

lasi (1.0.4-0.1) unstable; urgency=low

  * Initial release

 -- Rafael Laboissiere <rafael@debian.org>  Fri,  7 Apr 2006 13:51:20 +0200
