=== debian/control ===
Source: lasi
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5.0.0), cmake, libpango1.0-dev,
 cdbs (>=0.4.51), libfreetype6-dev (>= 2.2), doxygen
Standards-Version: 3.7.3
Section: libs
Homepage: http://sourceforge.net/projects/lasi
Vcs-Svn: https://lasi.svn.sourceforge.net/svnroot/lasi/trunk/debian/
Vcs-Browser: http://lasi.svn.sourceforge.net/viewvc/lasi/trunk/debian/

Package: liblasi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: creation of PostScript documents containing Unicode symbols
 LASi is a library that provides a C++ stream output interface (with
 operator <<) for creating PostScript documents that can contain
 characters from any of the scripts and symbol blocks supported in
 Unicode and by the Pango layout engine. The library accommodates
 right-to-left scripts such as Arabic and Hebrew as easily as
 left-to-right scripts. Indic and Indic-derived Complex Text Layout
 (CTL) scripts, such as Devanagari, Thai, Lao, and Tibetan are
 supported to the extent provided by Pango and by the OpenType fonts
 installed on your system. All of this is provided without need for
 any special configuration or layout calculation on the programmer's
 part.

Package: liblasi-dev
Section: libdevel
Architecture: any
Depends: liblasi0 (= ${binary:Version}), ${misc:Depends}, libpango1.0-dev, libfreetype6-dev
Description: development files and documentation for the LASi library
 LASi is a library that provides a C++ stream output interface (with
 operator <<) for creating PostScript documents that can contain
 characters from any of the scripts and symbol blocks supported in
 Unicode and by the Pango layout engine. The library accommodates
 right-to-left scripts such as Arabic and Hebrew as easily as
 left-to-right scripts. Indic and Indic-derived Complex Text Layout
 (CTL) scripts, such as Devanagari, Thai, Lao, and Tibetan are
 supported to the extent provided by Pango and by the OpenType fonts
 installed on your system. All of this is provided without need for
 any special configuration or layout calculation on the programmer's
 part.
 .
 This package contains the development files as well as the HTML
 documentation for LASi.
