=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DH_INSTALL_SOURCEDIR := $(CURDIR)/debian/tmp
DEB_COMPRESS_EXCLUDE := .cpp
# The test target runs ctest to check the examples work correctly. In order for this to 
# work we need to enable linking with rpath in the build tree.
DEB_MAKE_CHECK_TARGET := test
DEB_CMAKE_EXTRA_FLAGS := -DCMAKE_SKIP_RPATH=OFF -DUSE_RPATH=OFF

devdir := $(CURDIR)/debian/liblasi-dev
docdir := $(devdir)/usr/share/doc/liblasi-dev

binary-pre-install/liblasi0::
	ctest

binary-post-install/liblasi-dev::
	mv $(docdir)/doc/developer/html $(docdir)/html
	rm -rf $(docdir)/doc
