=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
  http://sf.net/lasi/libLASi-(.*)\.tar\.gz
