## lasi 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,33 @@
 # Top-level CMakeLists.txt for libLASi
-###
-### Process this file with cmake to produce Makefile
-###
 
-# Version 2.4.5 or above of cmake is required!
-CMAKE_MINIMUM_REQUIRED(VERSION 2.4.5 FATAL_ERROR)
+# Copyright (C) 2007-2019 Alan W. Irwin
+# Copyright (C) 2007-2011 Andrew Ross
+# Copyright (C) 2007 Werner Smekal
+
+# This file is part of libLASi.
+#
+# LibLASi is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Library General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# LibLASi is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU Library General Public
+# License along with LibLASi; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 USA
+
+# Version 3.13.2 or above of cmake is required!
+CMAKE_MINIMUM_REQUIRED(VERSION 3.13.2)
 
 project(libLASi CXX)
+
+message(STATUS "CMake version = ${CMAKE_VERSION}")
+message(STATUS "CMAKE_SYSTEM_NAME = ${CMAKE_SYSTEM_NAME}")
 
 set(PACKAGE lasi)
 
@@ -24,6 +45,16 @@
 # Configure libLASi component variables....
 
 include(lasi)
+
+# For windows put libLASi.dll in the dll subdirectory of the top-level
+# build-tree directory to be consistent with other typical Windows
+# builds, e.g., Plplot, ephcom2.
+
+# You must add this directory to your PATH on Windows if you are using
+# the (default) BUILD_SHARED_LIBS=ON option).
+if(BUILD_SHARED_LIBS AND WIN32 AND NOT CYGWIN)
+  set(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/dll)
+endif(BUILD_SHARED_LIBS AND WIN32 AND NOT CYGWIN)
 
 # Use configured variables to process configurable top-level files.
 
@@ -120,8 +151,10 @@
 # in absolute path + filename to find files or directories to be excluded
 # from source tarball.
 set(CPACK_SOURCE_IGNORE_FILES
+"\\\\#.*$"
 "~$"
 "^${PROJECT_SOURCE_DIR}.*\\\\.svn/"
+"^${PROJECT_SOURCE_DIR}/debian"
 )
 #message("CPACK_SOURCE_IGNORE_FILES = ${CPACK_SOURCE_IGNORE_FILES}")
 include(CPack)
