=== debian/changelog ===
lasi (1.1.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062516

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 17:24:55 +0000

lasi (1.1.3-2) unstable; urgency=medium

  * QA Upload.
  * Do not force generation of .eps file to ease-off
    cross compilation
  * Disable lintian in salsa-ci
  * Improve autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Apr 2023 12:36:58 +0530

lasi (1.1.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.1.3 (Closes: #918774, #921139)
  * Change B-D and Depends on libfreetype6-dev to libfreetype-dev
  * Drop fix-freetype-ftbfs patch, merged upstream
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Bump d/watch version to 4
  * Do not install CMakeLists in examples. Makefiles.examples.in
    is still useful for autopkgtests (Closes: #752274)
  * Update autopkgtests to get debci green

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Apr 2023 10:41:07 +0530

lasi (1.1.0-3) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-11 (Closes: #984083)
  * Modernize packaging:
    + Drop compat file, rely on debhelper-compat and bump compat level to 13
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Add "Rules-Requires-Root: no"
    + d/control: Change VCS-* URLs to salsa
    + Switch from archaic d/rules to modern debhelper based one
    + Remove B-D on cdbs
  * Update docs path
  * Add autopkgtests
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Mon, 02 May 2022 04:20:17 +0530
