=== debian/control ===
--- 
+++ 
@@ -1,18 +1,26 @@
 Source: lasi
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 5.0.0), cmake, libpango1.0-dev,
- cdbs (>=0.4.51), libfreetype6-dev (>= 2.2), doxygen
-Standards-Version: 3.7.3
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               cmake,
+               libpango1.0-dev,
+               libfreetype-dev,
+               doxygen
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian/lasi
+Vcs-Git: https://salsa.debian.org/debian/lasi.git
+Homepage: http://sourceforge.net/projects/lasi
+Rules-Requires-Root: no
+
+Package: liblasi0t64
+Provides: ${t64:Provides}
+Replaces: liblasi0
+Breaks: liblasi0 (<< ${source:Version})
+Architecture: any
 Section: libs
-Homepage: http://sourceforge.net/projects/lasi
-Vcs-Svn: https://lasi.svn.sourceforge.net/svnroot/lasi/trunk/debian/
-Vcs-Browser: http://lasi.svn.sourceforge.net/viewvc/lasi/trunk/debian/
-
-Package: liblasi0
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: creation of PostScript documents containing Unicode symbols
  LASi is a library that provides a C++ stream output interface (with
  operator <<) for creating PostScript documents that can contain
@@ -27,9 +35,12 @@
  part.
 
 Package: liblasi-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: liblasi0 (= ${binary:Version}), ${misc:Depends}, libpango1.0-dev, libfreetype6-dev
+Depends: liblasi0t64 (= ${binary:Version}),
+         ${misc:Depends},
+         libpango1.0-dev,
+         libfreetype-dev
 Description: development files and documentation for the LASi library
  LASi is a library that provides a C++ stream output interface (with
  operator <<) for creating PostScript documents that can contain
