=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=OFF \
				-DUSE_RPATH=OFF \
				-DCMAKE_BUILD_TYPE=Release \
				-DCMAKE_INSTALL_LIBDIR=/usr/lib

execute_before_dh_missing:
	rm -rf debian/tmp/usr/share/*/examples/
	rm -rf debian/tmp/usr/share/doc/*/

override_dh_installexamples:
	dh_installexamples
	find debian -name CMakeLists.txt -delete
