=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/" \
  http://sf.net/lasi/libLASi-(.*)\.tar\.gz
